"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getChecksum = getChecksum;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-app-integrity-checksum' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const AppIntegrityChecksum = _reactNative.NativeModules.AppIntegrityChecksum ? _reactNative.NativeModules.AppIntegrityChecksum : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function getChecksum() {
  return new Promise((resolve, reject) => {
    AppIntegrityChecksum.getChecksum(checksum => {
      resolve(checksum);
    });
  });
}
//# sourceMappingURL=index.js.map